Bug 964185 - Content View alert pop-up(s) when changing a system's environment
Content View alert pop-up(s) when changing a system's environment
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: David Davis
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 08:50 EDT by bmorriso
Modified: 2014-07-02 10:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:09:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bmorriso 2013-05-17 08:50:26 EDT
Description of problem:
In the details page for a system, changing the environment of the system causes multiple pop-up alerts to appear with the message:
"The selected content view was unset. Please choose another one."

The system had no content view set. The number of pop-up alerts displayed increases as you repeat this process with 
other systems.

Version-Release number of selected component (if applicable):
1.4.2-1.git.339.987124c.el6

How reproducible:
always

Steps to Reproduce:
1. Create an organization with multiple environments
2. Create two new systems using the library environment and with no content view selected.
3. Select one of the newly created systems
4. Change the environment of the system to any one of the other available environments and click "Save"
  
Actual results:
Multiple alert pop-up messages appear.

Expected results:
A notification that the system was updated appears.

Additional info:
Comment 1 Jeff Weiss 2013-05-20 16:17:45 EDT
I suggest removing this dialog completely.  There is no reason for it to be modal.  I recommend using the built-in notification system that everything else uses.  A gray "message" notif would serve the same purpose.
Comment 2 Brad Buckingham 2013-05-29 11:06:24 EDT
There are changes being made to remove 'legacy promotion' of products/repos and evolve to management of content through publishing and promotion of content views. When that becomes a reality, the above will no longer be applicable as every system will be associated with a content view.

For now, I'm going to propose this one to a future drop.  If by that time, the legacy deletion has not been merged in, we can address the above.
Comment 4 David Davis 2013-09-26 14:54:48 EDT
The UI for systems has been completely redone and no longer has any notification like this at all. Closing.
Comment 5 Mike McCune 2013-10-17 16:59:25 EDT
Moving this to be tested during MDP3, not critical for MDP2 success story
Comment 6 Sachin Ghai 2014-04-28 02:06:00 EDT
Verified with:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.7-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.7-1.el6_5.noarch
* candlepin-tomcat6-0.9.7-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.5.0.20-1.el6sat.noarch
* foreman-compute-1.5.0.20-1.el6sat.noarch
* foreman-libvirt-1.5.0.20-1.el6sat.noarch
* foreman-ovirt-1.5.0.20-1.el6sat.noarch
* foreman-postgresql-1.5.0.20-1.el6sat.noarch
* foreman-proxy-1.5.6-1.el6sat.noarch
* foreman-selinux-1.5.0-0.develop.el6sat.noarch
* katello-1.5.0-19.el6sat.noarch
* katello-apache-1.0-1.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.34-1.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
* pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
* pulp-server-2.3.1-0.4.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
* rubygem-hammer_cli-0.1.0-7.el6sat.noarch
* rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch
* rubygem-hammer_cli_katello-0.0.3-17.el6sat.noarch

With New UI, when we change the env from system details page, we must have to select the CV in that env. So now UI raises a tootip was why we need to slect CV, when we update a env.
Comment 7 Bryan Kearney 2014-07-02 10:09:13 EDT
This was delivered in 6.0.3, the Beta version of Satellite 6.0
Comment 8 Bryan Kearney 2014-07-02 10:09:14 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.